AgentGroups:
  - &exchange 1
  - &forecaster 6
  - &marketer 12
  - &renewables [52, 53]

Contracts:
#################################
# -- Registration --            #
#################################
  - SenderId: *renewables
    ReceiverId: *marketer
    ProductName: SetRegistration
    FirstDeliveryTime: -37
    DeliveryIntervalInSteps: 31536000

#################################
# -- Forecasting --             #
#################################
  - SenderId: *forecaster
    ReceiverId: *marketer
    ProductName: ForecastRequest
    FirstDeliveryTime: -26
    DeliveryIntervalInSteps: 3600

  - SenderId: *marketer
    ReceiverId: *renewables
    ProductName: ForecastRequestForward
    FirstDeliveryTime: -25
    DeliveryIntervalInSteps: 3600

  - SenderId: *renewables
    ReceiverId: *marketer
    ProductName: MarginalCostForecast
    FirstDeliveryTime: -22
    DeliveryIntervalInSteps: 3600

  - SenderId: *marketer
    ReceiverId: *forecaster
    ProductName: BidsForecast
    FirstDeliveryTime: -21
    DeliveryIntervalInSteps: 3600

#################################
# -- Bidding --                 #
#################################
  - SenderId: *exchange
    ReceiverId: *marketer
    ProductName: GateClosureInfo
    FirstDeliveryTime: -30
    DeliveryIntervalInSteps: 3600

  - SenderId: *marketer
    ReceiverId: *renewables
    ProductName: GateClosureForward
    FirstDeliveryTime: -9
    DeliveryIntervalInSteps: 3600

  - SenderId: *renewables
    ReceiverId: *marketer
    ProductName: MarginalCost
    FirstDeliveryTime: -1
    DeliveryIntervalInSteps: 3600

  - SenderId: *marketer
    ReceiverId: *exchange
    ProductName: Bids
    FirstDeliveryTime: 0
    DeliveryIntervalInSteps: 3600

#################################
# -- Dispatch & Payment --      #
#################################
  - SenderId: *exchange
    ReceiverId: *marketer
    ProductName: Awards
    FirstDeliveryTime: 4
    DeliveryIntervalInSteps: 3600

  - SenderId: *marketer
    ReceiverId: *renewables
    ProductName: DispatchAssignment
    FirstDeliveryTime: 5
    DeliveryIntervalInSteps: 3600

  - SenderId: *marketer
    ReceiverId: *renewables
    ProductName: Payout
    FirstDeliveryTime: 2626204
    DeliveryIntervalInSteps: 2628000
